Kiwi.com
Kiwi.com: Flights Search
Flights Search from Kiwi.com. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
kiwi
/
flights-search
Flights Search
curl --request GET \
--url https://api.perceptlayer.com/v1/kiwi/flights-search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/kiwi/flights-search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/kiwi/flights-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/kiwi/flights-search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/kiwi/flights-search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/kiwi/flights-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/kiwi/flights-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/kiwi/flights-search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "kiwi.flights-search",
"params": {
"origin": "LON",
"destination": "BCN",
"departure_date": "2026-12-04"
},
"response": {
"success": true,
"data": {
"trip_type": "one_way",
"origin": "LON",
"destination": "BCN",
"departure_date": "2026-12-04",
"passengers": {
"adults": 1,
"children": 0,
"infants": 0
},
"cabin": "economy",
"currency": "EUR",
"sort": "quality",
"limit": 25,
"total_available": 23,
"itineraries": [
{
"id": "ItineraryOneWay:eyJwcm92aWRlcnMiOiJLSVdJLUJBU0lDOktJV0kiLCJyb3V0ZV9kYXRhIjoiRlI6NzgwNzpMVE46MTc5NjM5ODUwMDpCQ046MTc5NjQwNjMwMDplY29ub215OkZhbHNlOjo6IiwicHJpY2UiOiIyOSJ9",
"share_id": "eyJyIjoiRlI6NzgwNzpMVE46MTc5NjM5ODUwMDpCQ046MTc5NjQwNjMwMDplY29ub215OkZhbHNlOjo6IiwiaSI6WyIxOGZmMDFhZjUxMzcwMDAwY2UyZDE0N2JfMCJdLCJ0aGMiOjAsInRhdCI6MCwidmkiOjAsInQiOiJPVyJ9",
"type": "one_way",
"price": {
"amount": 29,
"currency": "EUR",
"formatted": "29 €"
},
"price_eur": 29,
"duration": 7800,
"provider": {
"name": "Kiwi.com",
"code": "KIWI-BASIC",
"content_provider": {
"id": "ContentProvider:KIWI-BASIC",
"name": "kiwi.com"
}
},
"baggage": {
"hand_bags_included": 0,
"checked_bags_included": 0,
"personal_item_included": 1,
"no_checked_baggage": false,
"checked_bag_tier_prices": [
42.856274,
85.712548
]
},
"travel_hacks": {
"virtual_interlining": false,
"hidden_city": false
},
"booking_url": "https://www.kiwi.com/en/booking/?direct=true&locale=en¤cy=eur&passengers=1-0-0&token=Hhoyto0aDRzGf7RBtr6qW50xdrd381w4wOMBtYctggZ7a2BQwGlN4QCwjESAZb1G5zED3mqGC249SC68_PhCCnfLk3Km8BJI9p6qYu0qgrR6JQqpYPpunSBNYrNKl-iW8ur5q1xwOjsmIsEnasUiw…",
"stops": 0,
"carriers": [
{
"code": "FR",
"name": "Ryanair",
"icao": "RYR"
}
],
"departure": {
"airport_code": "LTN",
"airport": "Luton",
"city": "London",
"country": "United Kingdom",
"country_code": "GB",
"local_time": "2026-12-04T15:35:00"
},
"arrival": {
"airport_code": "BCN",
"airport": "Barcelona–El Prat",
"city": "Barcelona",
"country": "Spain",
"country_code": "ES",
"local_time": "2026-12-04T18:45:00"
},
"segments": [
{
"flight_number": "FR7807",
"type": "FLIGHT",
"cabin_class": "ECONOMY",
"duration": 7800,
"carrier": "…",
"operating_carrier": "…",
"departure": "…",
"arrival": "…"
}
]
},
{
"id": "ItineraryOneWay:eyJwcm92aWRlcnMiOiJLSVdJLUJBU0lDOktJV0kiLCJyb3V0ZV9kYXRhIjoiRlI6ODIxNjpTVE46MTc5NjM5ODIwMDpCQ046MTc5NjQwNjAwMDplY29ub215OkZhbHNlOjo6IiwicHJpY2UiOiIzMiJ9",
"share_id": "eyJyIjoiRlI6ODIxNjpTVE46MTc5NjM5ODIwMDpCQ046MTc5NjQwNjAwMDplY29ub215OkZhbHNlOjo6IiwiaSI6WyIwMzJkMDFhZjUxMzcwMDAwOWVkNDZmZDdfMCJdLCJ0aGMiOjAsInRhdCI6MCwidmkiOjAsInQiOiJPVyJ9",
"type": "one_way",
"price": {
"amount": 32,
"currency": "EUR",
"formatted": "32 €"
},
"price_eur": 32,
"duration": 7800,
"provider": {
"name": "Kiwi.com",
"code": "KIWI-BASIC",
"content_provider": {
"id": "ContentProvider:KIWI-BASIC",
"name": "kiwi.com"
}
},
"baggage": {
"hand_bags_included": 0,
"checked_bags_included": 0,
"personal_item_included": 1,
"no_checked_baggage": false,
"checked_bag_tier_prices": [
48,
96
]
},
"travel_hacks": {
"virtual_interlining": false,
"hidden_city": false
},
"booking_url": "https://www.kiwi.com/en/booking/?direct=true&locale=en¤cy=eur&passengers=1-0-0&token=HtQ0Pcn9_zR37SLej22LurpHeVv5DaULFz7dvVVklgw21KEIpbAIfMawyVGGsvoJHvvj0dht3n2vYHidHeHCmUkXXTODaDa9lOZ4q9fbvM4Oo_F7wFoQ2ggGtML1uxO5REttc6IHj149MDj9Y-_jR…",
"stops": 0,
"carriers": [
{
"code": "FR",
"name": "Ryanair",
"icao": "RYR"
}
],
"departure": {
"airport_code": "STN",
"airport": "London Stansted",
"city": "London",
"country": "United Kingdom",
"country_code": "GB",
"local_time": "2026-12-04T15:30:00"
},
"arrival": {
"airport_code": "BCN",
"airport": "Barcelona–El Prat",
"city": "Barcelona",
"country": "Spain",
"country_code": "ES",
"local_time": "2026-12-04T18:40:00"
},
"segments": [
{
"flight_number": "FR8216",
"type": "FLIGHT",
"cabin_class": "ECONOMY",
"duration": 7800,
"carrier": "…",
"operating_carrier": "…",
"departure": "…",
"arrival": "…"
}
]
},
{
"id": "ItineraryOneWay:eyJwcm92aWRlcnMiOiJLSVdJLUJBU0lDOktJV0kiLCJyb3V0ZV9kYXRhIjoiRlI6OTA0NDpTVE46MTc5NjM4OTIwMDpCQ046MTc5NjM5NzAwMDplY29ub215OkZhbHNlOjo6IiwicHJpY2UiOiIzMiJ9",
"share_id": "eyJyIjoiRlI6OTA0NDpTVE46MTc5NjM4OTIwMDpCQ046MTc5NjM5NzAwMDplY29ub215OkZhbHNlOjo6IiwiaSI6WyIwMzJkMDFhZjUxMzcwMDAwYjY5NTQ5YjVfMCJdLCJ0aGMiOjAsInRhdCI6MCwidmkiOjAsInQiOiJPVyJ9",
"type": "one_way",
"price": {
"amount": 32,
"currency": "EUR",
"formatted": "32 €"
},
"price_eur": 32,
"duration": 7800,
"provider": {
"name": "Kiwi.com",
"code": "KIWI-BASIC",
"content_provider": {
"id": "ContentProvider:KIWI-BASIC",
"name": "kiwi.com"
}
},
"baggage": {
"hand_bags_included": 0,
"checked_bags_included": 0,
"personal_item_included": 1,
"no_checked_baggage": false,
"checked_bag_tier_prices": [
48,
96
]
},
"travel_hacks": {
"virtual_interlining": false,
"hidden_city": false
},
"booking_url": "https://www.kiwi.com/en/booking/?direct=true&locale=en¤cy=eur&passengers=1-0-0&token=HL3C57c_jc2SkxYCKRK63WFBx3Fq1H7DbDeTp-V_Y1f0NIZFXIQc5QSO3zyAyzOKB135ekZvzQlwVaTJug0yQx4LsbJR6BdGb20XhExu62DH4RaN8mZMAWwdW2B_iV1fJoGsAruFjHGSNiudvsNLf…",
"stops": 0,
"carriers": [
{
"code": "FR",
"name": "Ryanair",
"icao": "RYR"
}
],
"departure": {
"airport_code": "STN",
"airport": "London Stansted",
"city": "London",
"country": "United Kingdom",
"country_code": "GB",
"local_time": "2026-12-04T13:00:00"
},
"arrival": {
"airport_code": "BCN",
"airport": "Barcelona–El Prat",
"city": "Barcelona",
"country": "Spain",
"country_code": "ES",
"local_time": "2026-12-04T16:10:00"
},
"segments": [
{
"flight_number": "FR9044",
"type": "FLIGHT",
"cabin_class": "ECONOMY",
"duration": 7800,
"carrier": "…",
"operating_carrier": "…",
"departure": "…",
"arrival": "…"
}
]
}
]
},
"meta": {
"endpoint_family": "flight_search",
"billable": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Kiwi.com API overview for every Kiwi.com endpoint.
Authorizations
Query Parameters
Available options:
economy, premium_economy, business, first Available options:
quality, price, duration Was this page helpful?
⌘I
Flights Search
curl --request GET \
--url https://api.perceptlayer.com/v1/kiwi/flights-search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/kiwi/flights-search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/kiwi/flights-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/kiwi/flights-search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/kiwi/flights-search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/kiwi/flights-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/kiwi/flights-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/kiwi/flights-search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "kiwi.flights-search",
"params": {
"origin": "LON",
"destination": "BCN",
"departure_date": "2026-12-04"
},
"response": {
"success": true,
"data": {
"trip_type": "one_way",
"origin": "LON",
"destination": "BCN",
"departure_date": "2026-12-04",
"passengers": {
"adults": 1,
"children": 0,
"infants": 0
},
"cabin": "economy",
"currency": "EUR",
"sort": "quality",
"limit": 25,
"total_available": 23,
"itineraries": [
{
"id": "ItineraryOneWay:eyJwcm92aWRlcnMiOiJLSVdJLUJBU0lDOktJV0kiLCJyb3V0ZV9kYXRhIjoiRlI6NzgwNzpMVE46MTc5NjM5ODUwMDpCQ046MTc5NjQwNjMwMDplY29ub215OkZhbHNlOjo6IiwicHJpY2UiOiIyOSJ9",
"share_id": "eyJyIjoiRlI6NzgwNzpMVE46MTc5NjM5ODUwMDpCQ046MTc5NjQwNjMwMDplY29ub215OkZhbHNlOjo6IiwiaSI6WyIxOGZmMDFhZjUxMzcwMDAwY2UyZDE0N2JfMCJdLCJ0aGMiOjAsInRhdCI6MCwidmkiOjAsInQiOiJPVyJ9",
"type": "one_way",
"price": {
"amount": 29,
"currency": "EUR",
"formatted": "29 €"
},
"price_eur": 29,
"duration": 7800,
"provider": {
"name": "Kiwi.com",
"code": "KIWI-BASIC",
"content_provider": {
"id": "ContentProvider:KIWI-BASIC",
"name": "kiwi.com"
}
},
"baggage": {
"hand_bags_included": 0,
"checked_bags_included": 0,
"personal_item_included": 1,
"no_checked_baggage": false,
"checked_bag_tier_prices": [
42.856274,
85.712548
]
},
"travel_hacks": {
"virtual_interlining": false,
"hidden_city": false
},
"booking_url": "https://www.kiwi.com/en/booking/?direct=true&locale=en¤cy=eur&passengers=1-0-0&token=Hhoyto0aDRzGf7RBtr6qW50xdrd381w4wOMBtYctggZ7a2BQwGlN4QCwjESAZb1G5zED3mqGC249SC68_PhCCnfLk3Km8BJI9p6qYu0qgrR6JQqpYPpunSBNYrNKl-iW8ur5q1xwOjsmIsEnasUiw…",
"stops": 0,
"carriers": [
{
"code": "FR",
"name": "Ryanair",
"icao": "RYR"
}
],
"departure": {
"airport_code": "LTN",
"airport": "Luton",
"city": "London",
"country": "United Kingdom",
"country_code": "GB",
"local_time": "2026-12-04T15:35:00"
},
"arrival": {
"airport_code": "BCN",
"airport": "Barcelona–El Prat",
"city": "Barcelona",
"country": "Spain",
"country_code": "ES",
"local_time": "2026-12-04T18:45:00"
},
"segments": [
{
"flight_number": "FR7807",
"type": "FLIGHT",
"cabin_class": "ECONOMY",
"duration": 7800,
"carrier": "…",
"operating_carrier": "…",
"departure": "…",
"arrival": "…"
}
]
},
{
"id": "ItineraryOneWay:eyJwcm92aWRlcnMiOiJLSVdJLUJBU0lDOktJV0kiLCJyb3V0ZV9kYXRhIjoiRlI6ODIxNjpTVE46MTc5NjM5ODIwMDpCQ046MTc5NjQwNjAwMDplY29ub215OkZhbHNlOjo6IiwicHJpY2UiOiIzMiJ9",
"share_id": "eyJyIjoiRlI6ODIxNjpTVE46MTc5NjM5ODIwMDpCQ046MTc5NjQwNjAwMDplY29ub215OkZhbHNlOjo6IiwiaSI6WyIwMzJkMDFhZjUxMzcwMDAwOWVkNDZmZDdfMCJdLCJ0aGMiOjAsInRhdCI6MCwidmkiOjAsInQiOiJPVyJ9",
"type": "one_way",
"price": {
"amount": 32,
"currency": "EUR",
"formatted": "32 €"
},
"price_eur": 32,
"duration": 7800,
"provider": {
"name": "Kiwi.com",
"code": "KIWI-BASIC",
"content_provider": {
"id": "ContentProvider:KIWI-BASIC",
"name": "kiwi.com"
}
},
"baggage": {
"hand_bags_included": 0,
"checked_bags_included": 0,
"personal_item_included": 1,
"no_checked_baggage": false,
"checked_bag_tier_prices": [
48,
96
]
},
"travel_hacks": {
"virtual_interlining": false,
"hidden_city": false
},
"booking_url": "https://www.kiwi.com/en/booking/?direct=true&locale=en¤cy=eur&passengers=1-0-0&token=HtQ0Pcn9_zR37SLej22LurpHeVv5DaULFz7dvVVklgw21KEIpbAIfMawyVGGsvoJHvvj0dht3n2vYHidHeHCmUkXXTODaDa9lOZ4q9fbvM4Oo_F7wFoQ2ggGtML1uxO5REttc6IHj149MDj9Y-_jR…",
"stops": 0,
"carriers": [
{
"code": "FR",
"name": "Ryanair",
"icao": "RYR"
}
],
"departure": {
"airport_code": "STN",
"airport": "London Stansted",
"city": "London",
"country": "United Kingdom",
"country_code": "GB",
"local_time": "2026-12-04T15:30:00"
},
"arrival": {
"airport_code": "BCN",
"airport": "Barcelona–El Prat",
"city": "Barcelona",
"country": "Spain",
"country_code": "ES",
"local_time": "2026-12-04T18:40:00"
},
"segments": [
{
"flight_number": "FR8216",
"type": "FLIGHT",
"cabin_class": "ECONOMY",
"duration": 7800,
"carrier": "…",
"operating_carrier": "…",
"departure": "…",
"arrival": "…"
}
]
},
{
"id": "ItineraryOneWay:eyJwcm92aWRlcnMiOiJLSVdJLUJBU0lDOktJV0kiLCJyb3V0ZV9kYXRhIjoiRlI6OTA0NDpTVE46MTc5NjM4OTIwMDpCQ046MTc5NjM5NzAwMDplY29ub215OkZhbHNlOjo6IiwicHJpY2UiOiIzMiJ9",
"share_id": "eyJyIjoiRlI6OTA0NDpTVE46MTc5NjM4OTIwMDpCQ046MTc5NjM5NzAwMDplY29ub215OkZhbHNlOjo6IiwiaSI6WyIwMzJkMDFhZjUxMzcwMDAwYjY5NTQ5YjVfMCJdLCJ0aGMiOjAsInRhdCI6MCwidmkiOjAsInQiOiJPVyJ9",
"type": "one_way",
"price": {
"amount": 32,
"currency": "EUR",
"formatted": "32 €"
},
"price_eur": 32,
"duration": 7800,
"provider": {
"name": "Kiwi.com",
"code": "KIWI-BASIC",
"content_provider": {
"id": "ContentProvider:KIWI-BASIC",
"name": "kiwi.com"
}
},
"baggage": {
"hand_bags_included": 0,
"checked_bags_included": 0,
"personal_item_included": 1,
"no_checked_baggage": false,
"checked_bag_tier_prices": [
48,
96
]
},
"travel_hacks": {
"virtual_interlining": false,
"hidden_city": false
},
"booking_url": "https://www.kiwi.com/en/booking/?direct=true&locale=en¤cy=eur&passengers=1-0-0&token=HL3C57c_jc2SkxYCKRK63WFBx3Fq1H7DbDeTp-V_Y1f0NIZFXIQc5QSO3zyAyzOKB135ekZvzQlwVaTJug0yQx4LsbJR6BdGb20XhExu62DH4RaN8mZMAWwdW2B_iV1fJoGsAruFjHGSNiudvsNLf…",
"stops": 0,
"carriers": [
{
"code": "FR",
"name": "Ryanair",
"icao": "RYR"
}
],
"departure": {
"airport_code": "STN",
"airport": "London Stansted",
"city": "London",
"country": "United Kingdom",
"country_code": "GB",
"local_time": "2026-12-04T13:00:00"
},
"arrival": {
"airport_code": "BCN",
"airport": "Barcelona–El Prat",
"city": "Barcelona",
"country": "Spain",
"country_code": "ES",
"local_time": "2026-12-04T16:10:00"
},
"segments": [
{
"flight_number": "FR9044",
"type": "FLIGHT",
"cabin_class": "ECONOMY",
"duration": 7800,
"carrier": "…",
"operating_carrier": "…",
"departure": "…",
"arrival": "…"
}
]
}
]
},
"meta": {
"endpoint_family": "flight_search",
"billable": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}